0

When I try to install mysql via the rpm:

wget http://dev.mysql.com/get/Downloads/MySQL-5.6/MySQL-  5.6.19-1.linux_glibc2.5.x86_64.rpm-bundle.tar
tar xf MySQL-5.6.19-1.linux_glibc2.5.x86_64.rpm-bundle.tar
rpm -ivh MySQL-shared-compat-5.6.19-1.linux_glibc2.5.x86_64.rpm
rpm -ivh MySQL-shared-5.6.19-1.linux_glibc2.5.x86_64.rpm
rpm -ivh MySQL-server-5.6.19-1.linux_glibc2.5.x86_64.rpm

I get the errors:

file /usr/share/mysql/charsets/README from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/czech/errmsg.sys from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64

file /usr/share/mysql/danish/errmsg.sys from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/dutch/errmsg.sys from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/english/errmsg.sys from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/estonian/errmsg.sys from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/french/errmsg.sys from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/german/errmsg.sys from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/greek/errmsg.sys from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/hungarian/errmsg.sys from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/italian/errmsg.sys from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/japanese/errmsg.sys from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/korean/errmsg.sys from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/norwegian-ny/errmsg.sys from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/norwegian/errmsg.sys from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/polish/errmsg.sys from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/portuguese/errmsg.sys from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/romanian/errmsg.sys from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/russian/errmsg.sys from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/serbian/errmsg.sys from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/slovak/errmsg.sys from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/spanish/errmsg.sys from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/swedish/errmsg.sys from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/ukrainian/errmsg.sys from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/charsets/Index.xml from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/charsets/armscii8.xml from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/charsets/ascii.xml from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/charsets/cp1250.xml from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/charsets/cp1251.xml from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/charsets/cp1256.xml from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/charsets/cp1257.xml from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/charsets/cp850.xml from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/charsets/cp852.xml from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/charsets/cp866.xml from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/charsets/dec8.xml from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/charsets/geostd8.xml from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/charsets/greek.xml from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/charsets/hebrew.xml from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/charsets/hp8.xml from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/charsets/keybcs2.xml from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/charsets/koi8r.xml from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/charsets/koi8u.xml from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/charsets/latin1.xml from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/charsets/latin2.xml from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/charsets/latin5.xml from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/charsets/latin7.xml from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/charsets/macce.xml from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/charsets/macroman.xml from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64
file /usr/share/mysql/charsets/swe7.xml from install of MySQL-server-5.6.19-1.linux_glibc2.5.x86_64 conflicts with file from package mariadb-libs-1:5.5.37-1.el7_0.x86_64

I had a similar issue with CentOS 6 except it was mysql instead of mariadb

All the suggestions I found on the internet:

  1. install shared-compat first - didn't work
  2. yum remove mysql-libs. This removes libs I don't want to. i.e. kills cron.
  3. using a -force option for the rpm install. This seems to have the same effect as #2

I played with the yum version:

wget http://dev.mysql.com/get/mysql-community-release-el6-5.noarch.rpm
yum localinstall mysql-community-release-el6-5.noarch.rpm
yum install mysql-community-server 

And it wants to replace mariadb-libs.x86_64 1:5.5.37-1.el7_0. I don't want to use the yum method since I want to keep yum update to just be the OS. All the other software is compiled from source.

Is there a way to get the rpm to work without overwritting the existing software? If not, will compile from source work?

1

Wow, they still haven't fixed their packages. It's been years.

I don't recommend using the MySQL-built RPMs, primarily for this reason that you're experiencing, but if you insist, then you need to switch out the conflicting packages at the same time. You can use yum shell to do this.

yum shell
> remove mariadb-libs
> localinstall MySQL-shared-compat-5.6.19-1.linux_glibc2.5.x86_64.rpm
> run

After the package is switched out, you can install the rest of them normally.


Or you can just do the yum install method that you say you don't want to do, which would be simpler.

| improve this answer | |
  • The yum method replaces mariadb-libs which I'm worried about causing problems down the road. For what you are saying, it seems like installing from source is the only option. Do you know of any other options? – brian Jul 17 '14 at 16:54
  • No, that's not a significant issue. – Michael Hampton Jul 17 '14 at 16:57
1

For Community Edition 5.6 on RHEL 7, I had to:

yum install MySQL-shared-5.6.37-1.el7.x86_64.rpm MySQL-shared-compat-5.6.37-1.el7.x86_64.rpm

These needed to be installed at the same time before I could install MySQL server.

| improve this answer | |
0

You can use rpm -e (or yum remove) to erase/remove mariadb-server along with dependencies such as: mariadb-libs) and then use rpm -i (or yum localinstall) to install new RPMs.

| improve this answer | |
  • I would use yum localinstall so it can pull required dependencies – joeg1ff Jul 17 '14 at 16:43
  • @joeg1ff will a localinstall avoid the conflict with already installed mariadb? – brian Jul 18 '14 at 12:51
  • 1
    Probably not becuause the conflict is dependency based. You would have to compile from source and specify your own folder locations as those two programs rely on the same files. Are you actually using mariadb? If not remove it and install MySQL normally. If you want to use both try following this link mariadb.com/kb/en/mariadb/mariadb-documentation/getting-started/…. – joeg1ff Jul 18 '14 at 14:43
  • @joeg1ff I'm not using maria. If I try to remove mariadb-libs, it is required by postfix. I'm not using postfix but I'm not sure how much centos7 is using it. – brian Jul 18 '14 at 19:25
0

Alternative solution which worked for me :

Search for the broken package package : (for e.g. mariadb-libs)

$ rpm -qa | grep mariadb-libs
mariadb-libs-5.5.52-1.el7.x86_64

Remove this package :

rpm -ev --nodeps mariadb-libs-5.5.52-1.el7.x86_64

Now simply install, the mysql rpm or mysql-server. Hope it will solve any dependency of broken package related problem.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.